package com.persagy.server.datacenter.models.tools

/**
 * 字典工具
 */
object DictInfoTools {


    fun pathCode (code: String):Boolean{
        return when (code) {
            "id" -> true
            "name" -> true
            "localId" -> true
            "localName" -> true
            "qRCodePic" -> true
            "defaultQRCode" -> true
            "rFID" -> true
            "cADID" -> true
            "bimId" -> true
            "bimTypeId" -> true
            "bimLocation" -> true
            "bimFamilyName" -> true
            "bimFamilySymbol" -> true
            "equipSerial" -> true
            "modelId" -> true
            "note" -> true
            "introduction" -> true
            "businessFloorNum" -> true
            "officeFloorNum" -> true
            "shaftSequenceId" -> true
            "outline" -> true
            "buildQRCode" -> true
            "bimIdPre" -> true
            "floorSequenceId" -> true
            "permanentPeopleNum" -> true
            "floorIdentity" -> true
            "depth" -> true
            "width" -> true
            "buildArea" -> true
            "netArea" -> true
            "height" -> true
            "intro" -> true
            "ratedCoolingP" -> true
            "ratedHeatingP" -> true
            "acType" -> true
            "zoneOrientation" -> true
            "roomFuncType" -> true
            "roomSerial" -> true
            "projRoomFuncType" -> true
            "ratedLightP" -> true
            "zoneType" -> true
            "tenantType" -> true
            "tenant" -> true
            "elecCap" -> true
            "pollutionDegree" -> true
            else -> {
                false
            }
        }
    }



}