package com.persagy.labsl.models.entities.tpt.pub

import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.validation.Valid

/**
 * 系统图展示所需数据
 *
 * @author wx
 */
class ElementsPub : Serializable {

    @Schema(description = "图例节点")
    @Valid
    var nodes : ArrayList<NodePub>? = null

    @Schema(description = "文本注释，图上的图片说明")
    var markers : ArrayList<MarkersPub>? = null

    @Schema(description = "管线对象")
    var relations : ArrayList<RelationPub>? = null

} // Class Elements