package com.persagy.labsl.models.request

import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable

/**
 * 系统图类型
 * @author  wx
 * @date  2020/9/17 10:42
 */
class GraphCategoryRequest : Serializable {

    /** 类型开关 true  获取所有 false 获取已有图形的类型 */
    @Schema(description = "类型开关 true  获取所有 false 获取已有图形的类型")
    var switch: Boolean = true

} // Class GraphCategoryRequest