package com.persagy.meiku.models.entities

import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 状态
 * @author  wx
 * @date  2020/9/21 11:08
 */
@Schema(description = "锚点")
@Table(name = "labsl_meiku.meiku_state")
class MeiKuState: Serializable, SBaseEntity() {

    /** 状态id */
    @Schema(description = "状态id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 图id */
    @Schema(description = "图id")
    @Id
    @Column(name = "meiku_id")
    var meiKuId: String? = null

    /** 状态内容 */
    @Schema(description = "状态内容")
    @Column(name = "state")
    var state: String? = null

    /** 图片key */
    @Schema(description = "图片key")
    @Column(name = "pic")
    var pic: String? = null

} // class MeiKuState