package com.persagy.meiku.models.entities

import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 对象类型
 *
 * @author  wx
 * @date  2020/9/21 11:13
 */
@Schema(description = "对象类型")
@Table(name = "labsl_meiku.object_category")
class ObjectCategory: Serializable, SBaseEntity() {

    /** 图id */
    @Schema(description = "图id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 名称 */
    @Schema(description = "名称")
    @Column(name = "name")
    var name: String? = null

} // Class ObjectCategory