package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfoSuper
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModelProperty

/**
 * 字典 批量处理
 */
class DictBatchProcessing : BaseInfoSuper(){

    /** 方案id */
    @ApiModelProperty(value = "方案id")
    @JSONField(name = "SchemeId")
    var schemeId:String? = null

    /** 优先级列表 */
    @ApiModelProperty(value = "优先级列表")
    @JSONField(name = "PriorityList")
    var priorityList:ArrayList<String>? = null

    /** 一级标签名称列表 */
    @ApiModelProperty(value = "一级标签名称列表")
    @JSONField(name = "FirstNameList")
    var firstNameList:ArrayList<String>? = null

} // Class DictBatchProcessing