package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 污染等级
 *
 * @author 张维新
 */
@ApiModel(description = "污染等级")
@Table(name = "dict.dict_pollution_level")
class DictPollutionLevel: Serializable {

    /** ID */
    @ApiModelProperty(value = "ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 描述 */
    @ApiModelProperty(value = "描述")
    @Column(name = "description")
    @JSONField(name = "Description")
    var description: String? = null

} // Class DictPollutionLevel