package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 抗震设防烈度
 *
 * @author 张维新
 */
@ApiModel(description = "抗震设防烈度")
@Table(name = "dict.dict_seismic_fortification_intensity")
class DictSeismicFortificationIntensity : BaseInfo(){

    /** ID */
    @ApiModelProperty(value = "ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 类型名称 */
    @ApiModelProperty(value = "类型名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

} // Class DictSeismicFortificationIntensity