package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfoSuper
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 点位图片
 *
 * @author  张维新
 */
@ApiModel(description = "点位图片")
@Table(name = "scanbuilding.image")
class PointImage : BaseInfoSuper() {

    /** 图片 key */
    @ApiModelProperty(value =" 图片key")
    @Id
    @Column(name = "id")
    @JSONField(name = "Key")
    var id: String? = null

    /** 图片类型 */
    @ApiModelProperty(value =" 图片类型")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: String? = null

    /** 图片类型 */
    @ApiModelProperty(value =" 图片类型")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 对象id */
    @ApiModelProperty(value =" 对象id")
    @Column(name = "object_id")
    @JSONField(name = "ObjectId")
    var objectId: String? = null

} // Class PointImage