package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 点位X 、Y
 *
 * @author 张维新
 */
class PointPosition : Serializable{

    /** 坐标x */
    @ApiModelProperty(value = "坐标x",required = true)
    @JSONField(name = "X")
    @SerializedName("X")
    var x: Double? = null

    /** 坐标y */
    @ApiModelProperty(value = "坐标y",required = true)
    @JSONField(name = "Y")
    @SerializedName("Y")
    var y: Double? = null

    /** 坐标z */
    @ApiModelProperty(value = "坐标z",required = true)
    @JSONField(name = "Z")
    @SerializedName("Z")
    var z: Double? = null

} // Class PointPosition