package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 竖井功能实体类
 *
 * @author  李井强
 */
@ApiModel(description = "竖井功能实体类")
@Table(name = "shaft_func_type")
class ShaftFuncType : BaseInfo() {

    /** id */
    @ApiModelProperty(value = "id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

} // Class ShaftFuncType