package cn.sagacloud.server.datacenter.models.entities.dictdatacenter

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 自定义字典和项目的关系
 *
 * @author 张维新
 */
@ApiModel(description = "自定义字典和项目的关系")
@Table(name = "dictcustom.dict_scheme_project")
class DictSchemeProject : RBaseInfo(){

    /** 方案ID */
    @ApiModelProperty(value = "方案ID")
    @Id
    @Column(name = "scheme_id")
    @JSONField(name = "SchemeId")
    var schemeId: String? = null

    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    @Id
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

} // Class DictSchemeProject