package cn.sagacloud.server.datacenter.models.entities.dictdatacenter

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 自定义字典 未转换成功的对象 数据中心-物理世界
 */
@ApiModel(description = "自定义字典 未转换成功的对象")
@Table(name = "dictcustom.dict_type_conversion_datacenter_log")
class DictTypeConversionLog : RBaseInfo(){

    /** ID */
    @ApiModelProperty(value = "ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 本地编码 */
    @ApiModelProperty(value = "本地编码")
    @Column(name = "local_id")
    @JSONField(name = "LocalId")
    var localId: String? = null

    /** 本地名称 */
    @ApiModelProperty(value = "本地名称")
    @Column(name = "local_name")
    @JSONField(name = "LocalName")
    var localName: String? = null

    /** 类型编码 */
    @ApiModelProperty(value = "类型编码")
    @Column(name = "category")
    @JSONField(name = "Category")
    var category: String? = null

    /** 类型名称 */
    @ApiModelProperty(value = "类型名称")
    @Column(name = "category_name")
    @JSONField(name = "CategoryName")
    var categoryName: String? = null

    /** 对象类型 1设备 2部件 */
    @ApiModelProperty(value = "对象类型 1设备 2部件")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: Int? = null

} // class DictTypeConversionLog