package cn.sagacloud.server.datacenter.models.entities.graphtype

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 连接块的源
 *
 * @author  邓婷婷
 */
@ApiModel(description = "数据中心设备id 和 模型中设备uuid 的映射")
open class EquipIdUUIDMap : RBaseInfo() {

    /** 数据中心设备id */
    @ApiModelProperty(value = "数据中心设备id")
    @JSONField(name = "equipId")
    var equipId: String? = null

    /** 模型中设备uuid */
    @ApiModelProperty(value = "模型中设备uuid")
    @JSONField(name = "revitUUID")
    var revitUUID: String? = null

} // Class EquipIdUUIDMap