package cn.sagacloud.server.datacenter.models.entities.graphtype.rel

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.annotations.SCascade
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 竖井信息实体类
 *
 * @author  张维新
 */
@ApiModel(description = "竖井信息实体类")
@Table(name = "v_shaft")
class RelShaft : BaseInfo() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 竖井名称 */
    @ApiModelProperty(value = "竖井名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 竖井本地编码 */
    @ApiModelProperty(value = "竖井本地编码")
    @Column(name = "local_id")
    @JSONField(name = "LocalID")
    var localId: String? = null

    /** 竖井本地名称 */
    @ApiModelProperty(value = "竖井本地名称")
    @Column(name = "local_name")
    @JSONField(name = "LocalName")
    var localName: String? = null

    /** BIM模型中编码 */
    @ApiModelProperty(value = "BIM模型中编码")
    @Column(name = "bim_id")
    @JSONField(name = "BIMID")
    var bimId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 竖井类型 */
    @ApiModelProperty(value = "竖井类型")
    @Column(name = "shaftfunctype")
    @JSONField(name = "ShaftFuncType")
    var shaftFuncType: String? = null

//    /** 建筑id集合 */
//    @ApiModelProperty(value = "建筑id集合")
//    @JSONField(name = "BuildingList")
//    var buildingList:List<String>? = null
//
//    /** 楼层id集合 */
//    @ApiModelProperty(value = "楼层id集合")
//    @JSONField(name = "FloorList")
//    var floorList:List<String>? = null




} // Class Shaft