package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 设备所在的竖井  一对多  一个设备对应多个竖井
 *
 * @author 付国宝
 */
@ApiModel(description = "设备所在竖井")
class REqInShList : RBaseInfo() {

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @JSONField(name = "EquipId")
    var equipId: String? = null

    /** 竖井id列表 */
    @ApiModelProperty(value = "竖井id列表")
    @JSONField(name = "ShaftIdList")
    var shaftIdList: ArrayList<String>? = null

} // Class REqInShList