package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfoSuper
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 楼层的贯通关系  一对多 一个其他楼层对应多个楼层
 *
 * @author 张维新
 */
@ApiModel(description = "楼层的贯通关系")
class RFloorOtherThroughFloorList : BaseInfoSuper() {


    /** 楼层id列表 */
    @ApiModelProperty(value = "楼层id列表")
    @JSONField(name = "FloorIdList")
    var floorIdList: ArrayList<String>? = null

    /** 其他楼层id */
    @ApiModelProperty(value = "其他楼层id")
    @JSONField(name = "FloorOtherId")
    var floorOtherId: String? = null

} // class RFloorOtherThroughFloorList