package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 所在竖井的系统  一对多  一个竖井对应多个系统
 *
 * @author 付国宝
 */
@ApiModel(value = "所在竖井的系统")
class RShInSyList : RBaseInfo() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    /** 系统id列表 */
    @ApiModelProperty(value = "系统id列表")
    @JSONField(name = "sysIdList")
    var sysIdList: ArrayList<String>? = null

} // Class RShInSyList