package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table

/**
 * 生活给水业务空间内的元空间基类
 *
 * @author 付国宝
 */
@ApiModel(description = "生活给水业务空间内的元空间基类")
@Table(name = "r_sp_in_si_zone_domestic_water_supply")
class RSiInSpZoneDomesticWaterSupply : RSiInSpBase(){

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    override var objectType: String? = "DomesticWaterSupplyZone"
}