package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 竖井下的业务空间  一对多  一个业务空间对应多个竖井
 *
 * @author 付国宝
 */
@ApiModel(description = "竖井下的业务空间")
open class RSpContainShBaseList : SBaseEntity() {

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 竖井id列表 */
    @ApiModelProperty(value = "竖井id列表")
    @JSONField(name = "ShaftIdList")
    var shaftIdList: ArrayList<String>? = null

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @JSONField(name = "ZoneType")
    var zoneType: String? = null

} // Class RSpContainShBaseList