package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Table

/**
 * 系统服务于竖井  一对多  一个系统对应多个竖井
 *
 * @author 付国宝
 */
@ApiModel(description = "系统服务于竖井")
@Table(name = "r_sy_for_sh")
class RSyForShList : RBaseInfo() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 竖井id列表 */
    @ApiModelProperty(value = "竖井id列表")
    @JSONField(name = "ShaftIdList")
    var shaftIdList: ArrayList<String>? = null

} // Class RSyForShList