package cn.sagacloud.server.datacenter.models.entities.task

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 任务类型统计
 *
 * @author 张维新
 */
class CategoryStatistics: Serializable {

    @ApiModelProperty(value = "类型编码code")
    @JSONField(name = "Code")
    var code: String? = null


    @ApiModelProperty(value = "类型名称name")
    @JSONField(name = "Name")
    var name: String? = null

    @ApiModelProperty(value = "数量count")
    @JSONField(name = "Count")
    var count: Int? = null

} // Class CategoryStatistics