package cn.sagacloud.server.datacenter.models.entities.task

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 * 模型文件夹
 *
 * @author  邓婷婷
 */
@ApiModel(description = "模型文件夹")
class ModelFolder {

    /** folderId */
    @ApiModelProperty(value = "folderId")
    @Column(name = "id")
    @JSONField(name = "FolderId")
    var folderId: String? = null

    /** folderName */
    @ApiModelProperty(value = "folderName")
    @Column(name = "name")
    @JSONField(name = "FolderName")
    var folderName: String? = null

    /** fileList */
    @ApiModelProperty(value = "fileList")
    @JSONField(name = "FileList")
    var fileList: ArrayList<ModelFile>? = null

    /** fileListStr */
    @ApiModelProperty(value = "fileListStr")
    @Column(name = "file_list_str")
    @JSONField(name = "FileListStr")
    var fileListStr: String? = null
}