package cn.sagacloud.server.datacenter.models.entities.topo

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 对象实体类
 */
@ApiModel(description = "对象实体类")
@Table(name = "equipment")
class TopoObject :Serializable {

    /** id */
    @ApiModelProperty(value = "设备id",required = true)
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
//    @JsonProperty("EquipID")
    var id: String? = null

    /** 设备名称 */
    @ApiModelProperty(value = "名称",required = true)
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 设备本地编码 */
    @ApiModelProperty(value = "本地编码")
    @Column(name = "local_id")
    @JSONField(name = "LocalID")
    var localId: String? = null

    /** 设备本地名称 */
    @ApiModelProperty(value = "本地名称")
    @Column(name = "local_name")
    @JSONField(name = "LocalName")
    var localName: String? = null

    /** 设备本地名称 */
    @ApiModelProperty(value = "本地名称")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

} // Class TopoObject