package cn.sagacloud.server.datacenter.models.requests

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 *
 */
@ApiModel(description = "删除关系")
class ManualRelationCalcDel : Serializable {

    @ApiModelProperty(value = "主对象Id")
    @JSONField(name = "FromId")
    var fromId: String? = null

    @ApiModelProperty(value = "从对象Id")
    @JSONField(name = "ToId")
    var toId: String? = null

    @ApiModelProperty(value = "关系类型")
    @JSONField(name = "RelType")
    var relType: String? = null

} // Class ManualRelationCalcDel