package cn.sagacloud.server.datacenter.models.requests

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.requests.SQueryRequest
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 * 模型请求类自定义
 */
class ModelScanSQueryRequest : SQueryRequest(){

    /** id列表 */
    @ApiModelProperty(value = "id列表")
    var idList: ArrayList<String>? = null

    @ApiModelProperty(value = "模型id")
    @JSONField(name = "ModelId")
    var modelId : String? = null

    /** 设备类型code */
    @ApiModelProperty(value = "设备类型code")
    @Column(name = "category")
    @JSONField(name = "Category")
    var category: String? = null

} // Class ModelScanSQueryRequest