package cn.sagacloud.server.datacenter.models.requests

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

class RUpDateEquipAndSapceRequest : Serializable {

    @ApiModelProperty(value = "旧的Bimid")
    @JSONField(name = "OldBimId")
    var oldBimId: String? = ""

    @ApiModelProperty(value = "Bimid")
    @JSONField(name = "BimId")
    var bimId: String? = null

    @ApiModelProperty(value = "楼层id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    @ApiModelProperty(value = "楼层平面图地址")
    @JSONField(name = "FloorMap")
    var floorMap: String? = null

    @ApiModelProperty(value = "模型id")
    @JSONField(name = "ModelId")
    var modelId: String? = null

    @ApiModelProperty(value = "自定义属性")
    @JSONField(name = "AttributeMap")
    var attributeMap: HashMap<String,Any>? = null

} // Class RUpDateEquipAndSapceRequest