package cn.sagacloud.server.datacenter.models.requests

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 入参修改建筑楼层信息
 *
 * @author 张维新
 */
class UpDataFloorAndBuildingRequests : Serializable {

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 建筑或楼层id */
    @ApiModelProperty(value = "建筑或楼层id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @JSONField(name = "Type")
    var type: String? = null

} // Class UpDataFloorAndBuildingRequests