package cn.sagacloud.server.datacenter.models.response

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import java.io.Serializable

/**
 *城市列表
 *
 * @author 张维新
 */
class CitiesBean : Serializable {

    @JSONField(name = "CityName")
    var cityName: String? = null
    @JSONField(name = "CityCode")
    var cityCode: String? = null
    @JSONField(name = "Climate")
    var climate: String? = null
    @JSONField(name = "DevelopLevel")
    var developLevel: String? = null
    @JSONField(name = "District")
    var district: List<DistrictBean>? = null
    @JSONField(name = "CityInfo")
    var cityInfo: List<CityInfoBean>? = null

} // class CitiesBean