package cn.sagacloud.server.datacenter.models.response

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import java.io.Serializable

/**
 *城市列表
 *
 * @author 张维新
 */
class CityInfoBean : Serializable {
                    /**
                     * altitude : 80.5
                     * code : 130100
                     * latitude : 38.05
                     * name : 石家庄市
                     * longitude : 114.52
                     */
                    @JSONField(name = "Altitude")
                    var altitude: String? = null
                    @JSONField(name = "Code")
                    var code: String? = null
                    @JSONField(name = "Latitude")
                    var latitude: String? = null
                    @JSONField(name = "Name")
                    var name: String? = null
                    @JSONField(name = "Longitude")
                    var longitude: String? = null
} // Class CityInfoBean