package cn.sagacloud.server.algorithm.models.entities

import javax.persistence.Column
import javax.persistence.Id

/**
 *
 *
 * @author jxing
 */
open class BaseComponent{

    /** 模型id */
    @Column(name = "id", updatable = false)
    @Id
    var id: String? = null

    /** 模型id(外键) */
    @Column(name = "model_id")
    var modelId: String? = null

    @Column(name = "type")
    var elementType : String? = null

    @Column(name = "revit_id")
    var revitId : String? = null

    /** 对应Revit模型id */
    @Column(name = "source_id")
    var sourceId: String? = null

    /** 模型所属楼层的id, 是uuid */
    var modelFloorId: String? = null
}