package cn.sagacloud.server.scanbuilding

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图片信息排序实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "图片信息排序实体类")
@Table(name = "scanbuilding.image_name_sort")
class ImageNameSort : SBaseEntity() {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    /** 名字 */
    @ApiModelProperty(value = "名字")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 排序 */
    @ApiModelProperty(value = "排序")
    @Column(name = "sort")
    @JSONField(name = "Sort")
    var sort: Int? = null

} // Class ImageNameSort