package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.baseGraph.BGBaseEntity
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnore
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id

/**
 *
 *
 * @author jxing
 */
open class BGBaseComponent : BGBaseEntity(){

    /** 模型id */
    @ApiModelProperty(value = "模型id")
    @Column(name = "id", updatable = false)
    @Id
    @JSONField(serialize = false)
    var id: String? = null

    /** 模型id(外键) */
    @ApiModelProperty(value = "模型id(外键)")
    @Column(name = "model_id")

    @JSONField(serialize = false)
    var modelId: String? = null
}