package cn.sagacloud.server.algorithm.models.config

import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.stereotype.Component

@Component
@ConfigurationProperties(prefix = "properties")
open class MyProperties {

    @Autowired
    lateinit var fileService : FileServiceConfig

    @Autowired
    lateinit var scheduler : SchedulerConfig

    @Autowired
    lateinit var datacenter : DataCenterConfig

    @Autowired
    lateinit var message : MessageCenterConfig
//
//    var fileService = FileServiceConfig()
//
//    var scheduler = SchedulerConfig()
//
//    var datacenter = DataCenterConfig()
}
