package cn.sagacloud.server.algorithm.models.dataCheck

/**
 *
 * DataCheck结果整理
 * @author jxing
 */
class RevitDataCheckResult {

    // 构建范围检查
    var elementRangeCheck : ArrayList<ElementRangeCheck?>? = null

    // 设备族编码检查
    var familyNameCheck : ArrayList<FamilyNameCheck?>? = null

    // 部件所在位置检查
    var equipPartLocationCheck : ArrayList<EquipPartLocationCheck?>? = null

    // 柱边界检查
    var columnCheck : ArrayList<ColumnCheck?>? = null

    // 连接件检查
    var connectorCheck : ArrayList<ConnectorCheck?>? = null

    // 系统类型名称检查
    var systemNameCheck : ArrayList<SystemNameCheck?>? = null

    // 未在空间中的设备
    var equipInSpaceCheck : ArrayList<EquipInSpaceCheck?>? = null

    // 管段检查
    var pipeCheck : ArrayList<PipeCheck?>? = null

    // 管网及相关设备检查
    var systemReferEquipCheck : ArrayList<SystemReferEquipCheck?>? = null

    /** Revit族参数完整性检查 */
    var parameterIntegrityCheck : ArrayList<ParameterIntegrityCheck?>? = null

    // xyz坐标重叠检查
    var xyzOverlapCheck : ArrayList<XYZOverlapCheck?>? = null
}