package cn.sagacloud.server.algorithm.models.jsonAnalyzer

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import javax.persistence.Table

/**
 *
 *
 * @author jxing
 */


class BaseObj<T> {
    @JSONField(name = "MBIName")
    @JsonProperty("MBIName")
    var mbiName : String? = null

    @JSONField(name = "PlanName")
    @JsonProperty("PlanName")
    var planName : String? = null

    @JSONField(name = "Elements")
    @JsonProperty("Elements")
    var elements : T? = null          // 备选为 AllComponents 和 BaseGraph 两个类

    @JSONField(name = "BaseLevel")
    @JsonProperty("BaseLevel")
    var baseLevel : Double? = null

    @JSONField(name = "ModelId")
    @JsonProperty("ModelId")
    var modelId : String? = null
}