package cn.sagacloud.server.algorithm.models.monitor

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.util.*

open class MntBase {
    @ApiModelProperty(value = "表示是否有过重试")
    @JSONField(name = "HasRetry")
    var hasRetry : Boolean? = false

    @ApiModelProperty(value = "表示是否出错")
    @JSONField(name = "HasError")
    var hasError : Boolean? = false

    @ApiModelProperty(value = "错误信息")
    @JSONField(name = "ErrorMsg")
    var errorMsg : String? = null

    @ApiModelProperty(value = "开始时间")
    @JSONField(name = "BeginTime")
    var beginTime : Date? = null

    @ApiModelProperty(value = "结束时间")
    @JSONField(name = "EndTime")
    var endTime : Date? = null
}