package cn.sagacloud.server.scheduler.models

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

@ApiModel(description = "下载速度请求实体")
class DownloadSpeedRequest {

    @ApiModelProperty(value = "模型id")
    @JSONField(name = "ModelId")
    var modelId : String? = null

    @ApiModelProperty(value = "任务id")
    @JSONField(name = "TaskId")
    var taskId : String? = null

    @ApiModelProperty(value = "任务命令")
    @JSONField(name = "TaskCmd")
    var taskCmd : String? = null

    @ApiModelProperty(value = "单位: 字节数/秒, 每秒钟下载的字节数")
    @JSONField(name = "Speed")
    var speed : Long? = null

    @ApiModelProperty(value = "下载任务的总字节数")
    @JSONField(name = "TotalBytes")
    var totalBytes : Long? = null

    @ApiModelProperty(value = "已经下载了的字节数")
    @JSONField(name = "DownloadedBytes")
    var downloadedBytes : Long? = null
}