package cn.sagacloud.server.scheduler.models

import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 *
 * @author jxing
 */
@ApiModel(description = "任务结果详细信息实体类")
@Table(name = "scheduler_str.task_result")
class TaskResultEntity : SBaseEntity() {

    /** 所属任务id*/
    @ApiModelProperty(value = "所属任务id")
    @Column(name = "task_id", insertable = true, updatable = false)
    @Id
    @JsonProperty(value = "TaskId")
    var taskId: String? = null

    /** task 执行结果 */
    @ApiModelProperty(value = "任务执行结果")
    @Column(name = "content")
    @JsonProperty(value = "Content")
    var content: String? =null
}