package com.persagy.labsl.models.entities.pbs

import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.validation.Valid

/**
 * 系统图展示所需数据
 *
 * @author wx
 */
class PlanarElementsPub : Serializable {

    @Schema(description = "图例节点")
    @Valid
    var objExtInfo : ArrayList<ObjExtInfoPub>? = null

    @Schema(description = "文本注释，图上的图片说明")
    var markers : ArrayList<PlanarMarkersPub>? = null

    @Schema(description = "管线对象")
    var relations : ArrayList<PlanarRelationPub>? = null
}