package com.persagy.labsl.models.entities.pbs

import com.persagy.labsl.models.entities.tpt.Pos
import com.persagy.labsl.models.entities.tpt.Size
import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 文本注释，图上的图片说明
 *
 * @author wx
 */
@Schema(description = "文本注释，图上的图片说明")
@Table(name = "qibaishi_gallery.qbs_marker_pub")
open class PlanarMarkersPub : PlanarMarkers() {
}