package com.persagy.labsl.models.request

import lombok.NoArgsConstructor
import lombok.AllArgsConstructor
import com.fasterxml.jackson.annotation.JsonInclude
import lombok.Builder
import lombok.Data
import java.io.Serializable
import java.math.BigInteger

/**
 * @description: 对象、关系请求url通用参数
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
class InstanceUrlParam {
        /**
         * 集团编码
         */
        var groupCode: String? = null
        /**
         * 项目id
         */
        var projectId: String? = null


        val serialVersionUID : Long? = -994117732505752231L

}