package com.persagy.meiku.models.entities

import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 锚点
 *
 * @author  wx
 * @date  2020/9/21 10:52
 */
@Schema(description = "锚点")
@Table(name = "labsl_meiku.meiku_anchor")
class MeiKuAnchor: Serializable, SBaseEntity() {

    /** 锚点id */
    @Schema(description = "锚点id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 图id */
    @Schema(description = "图id")
    @Id
    @Column(name = "meiku_id")
    var meiKuId: String? = null

    /** 锚点坐标 */
    @Schema(description = "锚点坐标")
    @Column(name = "pos")
    var pos: Pos? = null

} // Class MeiKuAnchor