package com.persagy.meiku.models.entities

import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable

/**
 * 位置信息
 *
 * @author wx
 */
class Pos : Serializable {

    /** X坐标 */
    @Schema(description = "X坐标")
    var x: Double? = null

    /** Y坐标 */
    @Schema(description = "Y坐标")
    var y: Double? = null

    /** Z坐标 */
    @Schema(description = "Z坐标")
    var z: Double? = null

} // Class Pos