package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 维修商和供应商的维修型号名录和供应型号名录类
 *
 * @author 付国宝
 */
@ApiModel(description = "维修商和供应商的维修型号名录和供应型号名录类")
@Table(name = "vender.vender_spec_list")
class VenderSpecList : SBaseEntity() {

    /** 自增ID */
    @ApiModelProperty(value = "自增id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    /** 厂商ID(维修商和供应商) */
    @ApiModelProperty(value = "厂商id(维修商和供应商)")
    @Column(name = "vender_id")
    @JSONField(name = "VenderId")
    var venderId: String? = null

    /** 型号ID */
    @ApiModelProperty(value = "型号id")
    @Column(name = "spec_id")
    @JSONField(name = "SpecId")
    var specId: String? = null

} // Class VenderSpecList