package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 坐标点
 *
 * @author 张维新
 */
class BIMLocation : Serializable {

    /** 坐标x */
    @ApiModelProperty(value = "坐标X")
    @JSONField(name = "X")
    var x: Double? = null

    /** 坐标y */
    @ApiModelProperty(value = "坐标y")
    @JSONField(name = "Y")
    var y: Double? = null

    /** 坐标Z */
    @ApiModelProperty(value = "坐标Z")
    @JSONField(name = "Z")
    var z: Double? = null

} // Class BIMLocation