package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 系统分类
 *
 * @author 张维新
 */
@ApiModel(description = "系统分类")
@Table(name = "dict.class_def")
class GeneralSystemCategory : Serializable {

    /** 设备分类编码 */
    @ApiModelProperty(value = "设备分类编码")
    @Id
    @Column(name = "id")
    @JSONField(name = "Category")
    var category: String? = null

    /** 设备分类名字*/
    @ApiModelProperty(value = "设备分类名字")
    @Column(name = "name")
    @JSONField(name = "CategoryName")
    var categoryName: String? = null
} // Class GeneralSystemCategory