package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import java.util.*
import javax.persistence.Column
import javax.persistence.Table

/**
 * 竖井和建筑关系实体类
 *
 * @author 张维新
 */
@ApiModel(description = "竖井和建筑关系实体类")
@Table(name = "shaft_building")
class ShaftBuilding : Serializable{

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @Column(name = "shaft_id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    /** 竖井名称 */
    @ApiModelProperty(value = "竖井名称")
    @Column(name = "shaft_name")
    @JSONField(name = "ShaftName")
    var shaftName: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 建筑名称 */
    @ApiModelProperty(value = "建筑名称")
    @Column(name = "building_name")
    @JSONField(name = "BuildingName")
    var buildingName: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    @JSONField(name = "LastUpdate")
    var lastUpdate: Date? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JSONField(name = "CreateTime")
    var createTime: Date? = null

} // Class ShaftBuilding