package cn.sagacloud.server.datacenter.models.entities.graphtype

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import kotlin.collections.ArrayList

/**
 * 源末端
 *
 * @author  邓婷婷
 */
@ApiModel(description = "源末端")
open class ConnectedBlockItem : RBaseInfo() {

    /** 设备类型名 : 4位编码 */
    @ApiModelProperty(value = "设备类型名")
    @Column(name = "family")
    @JSONField(name = "Family")
    var family: String? = null

    /** 设备类型名 */
    @ApiModelProperty(value = "设备类型名称")
    @JSONField(name = "FamilyName")
    var familyName: String? = null

    /** 根据类型分组列表 */
    @ApiModelProperty(value = "根据类型分组列表")
    @Column(name = "items")
    @JSONField(name = "Items")
    var items: ArrayList<ConnectedBlockFamilyItem>? = null


} // Class ScanTask