package cn.sagacloud.server.datacenter.models.entities.graphtype

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import kotlin.collections.ArrayList

/**
 * 源末端
 *
 * @author  邓婷婷
 */
@ApiModel(description = "源末端")
open class ConnectedBlockResponse : RBaseInfo() {
    /** block_id */
    @ApiModelProperty(value = "block_id")
    @Column(name = "block_id")
    @JSONField(name = "BlockId")
    var blockId: String? = null

    /** 根据块分组列表 */
    @ApiModelProperty(value = "根据块分组列表")
    @Column(name = "items")
    @JSONField(name = "Items")
    var items: ArrayList<ConnectedBlockItem>? = null


} // Class ScanTask