package cn.sagacloud.server.datacenter.models.entities.graphtype

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty

@JsonIgnoreProperties(ignoreUnknown = true)
class MPoint (x : Double, y : Double, z : Double){

    @JSONField(name = "X")
    @JsonProperty("X")
    var x : Double = x

    @JSONField(name = "Y")
    @JsonProperty("Y")
    var y : Double = y

    @JSONField(name = "Z")
    @JsonProperty("Z")
    var z : Double = z

    constructor() : this(0.0, 0.0 , 0.0)
}