package cn.sagacloud.server.datacenter.models.entities.graphtype

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 添加关系
 *
 * @author 张维新
 */
class RelationAddRequest : Serializable {

    @ApiModelProperty(value = "需要计算的类型")
    @JSONField(name = "RelType")
    var relType: String? = null

    @ApiModelProperty(value = "编码类型，CADID图纸编码(cadId),设备名称(name),设备ID(id),本地编码(localId),本地名称(localName)")
    @JSONField(name = "Type")
    var type: String? = null

    @ApiModelProperty(value = "主对象内容")
    @JSONField(name = "MainContent")
    var mainContent: String? = null

    @ApiModelProperty(value = "从对象内容")
    @JSONField(name = "FromContent")
    var fromContent: ArrayList<String>? = null

} // Class RelationAddRequest