/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities.pointconfig

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Table

/**
 * obj_infos
 *
 * @author 李井强
 */
@ApiModel(description = "obj_infos")
@Table(name = "pointconfig.obj_infos")
open class ObjInfos : Serializable {

    /** project_id */
    @ApiModelProperty(value = "project_id")
    @Column(name = "project_id")
    var projectId: String? = null

    /** obj_type */
    @ApiModelProperty(value = "obj_type")
    @Column(name = "obj_type")
    var objType: String? = null

    /** obj_id */
    @ApiModelProperty(value = "obj_id")
    @Column(name = "obj_id")
    var objId: String? = null

    /** info_id */
    @ApiModelProperty(value = "info_id")
    @Column(name = "info_id")
    var infoId: String? = null

    /** time */
    @ApiModelProperty(value = "time")
    @Column(name = "time")
    var time: String? = null

    /** s_value */
    @ApiModelProperty(value = "s_value")
    @Column(name = "s_value")
    var value: String? = null

} // Class ObjInfos