package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 所在建筑的系统  一对多  一个建筑对应多个系统
 *
 * @author 付国宝
 */
@ApiModel(description = "所在建筑的系统")
class RBdInSyList : RBaseInfo() {

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @JSONField(name = "Building")
    var buildingId: String? = null

    /** 系统id列表 */
    @ApiModelProperty(value = "系统id列表")
    @JSONField(name = "sysIdList")
    var sysIdList: ArrayList<String>? = null

} // Class RBdInSyList