package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table

/**
 * 设备服务于默认业务空间实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "设备服务于默认业务空间实体类")
@Table(name = "r_eq_for_sp_zone_general")
class REqForSpZoneGeneral : REqForSpBase(){

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    override var objectType: String? = "GeneralZone"
}