package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 系统下的设备设施 一对多 一个设备对应多个系统
 *
 * @author 张维新
 */
@ApiModel(description = "设备对应的系统")
class REqSyList : RBaseInfo(){

//    /** 设备id */
//    @ApiModelProperty(value = "设备id", required = true)
//    @Id
//    @Column(name = "equip_id")
//    @JSONField(name = "EquipID")
//    var equipId: String? = null

    /** 设备id */
    @ApiModelProperty(value = "设备id", required = true)
    @JSONField(name = "EquipID")
    var equipId: String? = null

    /** 系统id列表 */
    @ApiModelProperty(value = "系统id列表", required = true)
    @JSONField(name = "SysIdList")
    var sysIdList: ArrayList<String>? = null

} // Class RSyEq