package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfoSuper
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 楼层的贯通关系  一对多 一个楼层对应多个其他楼层
 *
 * @author 张维新
 */
@ApiModel(description = "楼层的贯通关系")
class RFloorThroughFloorOtherList : BaseInfoSuper() {


    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 其他楼层id列表 */
    @ApiModelProperty(value = "其他楼层id列表")
    @JSONField(name = "FloorOtherIdList")
    var floorOtherIdList: ArrayList<String>? = null

} // class RFloorThroughFloorOtherList