package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 竖井下的业务空间  一对多  一个竖井对应多个业务空间
 *
 * @author 付国宝
 */
@ApiModel(description = "竖井下的业务空间")
open class RShContainSpBaseList : SBaseEntity() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    /** 业务空间id列表 */
    @ApiModelProperty(value = "业务空间id列表")
    @JSONField(name = "SpaceIdList")
    var spaceIdList: ArrayList<String>? = null

    /** 竖井类型 */
    @ApiModelProperty(value = "竖井类型")
    @JSONField(name = "ZoneType")
    var zoneType: String? = null

} // Class RShContainSpBaseList