package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 服务于竖井的设备  一对多  一个竖井对应多个设备
 *
 * @author 付国宝
 */
@ApiModel(value = "服务于竖井的设备")
class RShForEqList : RBaseInfo() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    /** 设备id列表 */
    @ApiModelProperty(value = "设备id列表")
    @JSONField(name = "EquipIdList")
    var equipIdList: ArrayList<String>? = null

} // Class RShForEqList