package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel

/**
 * 所租用业务空间的租户   一对多  一个业务空间对应多个租户
 *
 * @author 付国宝
 */
@ApiModel(description = "所租用业务空间的租户")
open class RSpInTnBaseList : SBaseEntity() {

    /** 业务空间id */
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 租户id列表 */
    @JSONField(name = "TenantIdList")
    var tenantIdList: ArrayList<String>? = null

    /** 业务空间id */
    @JSONField(name = "ZoneType")
    var zoneType: String? = null


} // Class RSpInTnBaseList