package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Table

/**
 * 系统下的设备设施 一对多 一个系统对应多个设备
 *
 * @author 张维新
 */
@ApiModel(description = "系统下的设备设施")
@Table(name = "r_sy_eq")
class RSyEqList : RBaseInfo(){

//    /** 设备id */
//    @ApiModelProperty(value = "设备id", required = true)
//    @Id
//    @Column(name = "equip_id")
//    @JSONField(name = "EquipID")
//    var equipId: String? = null

    /** 系统id */
    @ApiModelProperty(value = "系统id", required = true)
    @JSONField(name = "SysID")
    var sysId: String? = null

    /** 设备id */
    @ApiModelProperty(value = "设备id列表", required = true)
    @JSONField(name = "EquipIdList")
    var listEquipId: ArrayList<String>? = null

} // Class RSyEq