package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 系统服务于业务空间  一对多  一个系统对应多个业务空间
 *
 * @author 付国宝
 */
@ApiModel(description = "系统服务于业务空间")
open class RSyForSpBaseList : SBaseEntity() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 业务空间id列表 */
    @ApiModelProperty(value = "业务空间id列表")
    @JSONField(name = "SpaceIdList")
    var spaceIdList: ArrayList<String>? = null

} // Class RSyForSpBaseList