package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 系统所在的建筑  一对多  一个系统对应多个建筑
 *
 * @author 付国宝
 */
@ApiModel(description = "系统所在的建筑")
class RSyInBdList : RBaseInfo() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 建筑id列表 */
    @ApiModelProperty(value = "建筑id列表")
    @JSONField(name = "BuildingIdList")
    var buildingIdList: ArrayList<String>? = null

} // Class RSyInBdList