package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 系统所在竖井  一对多  一个系统对应多个竖井
 *
 * @author 付国宝
 */
@ApiModel(value = "系统所在竖井")
class RSyInShList : RBaseInfo() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 竖井id列表 */
    @ApiModelProperty(value = "竖井id列表")
    @JSONField(name = "ShaftIdList")
    var shaftIdList: ArrayList<String>? = null

} // Class RSyInShList