package cn.sagacloud.server.dataplatform.entities.syncmessage

import cn.sagacloud.server.datacenter.models.entities.syncmessage.ObjectNoticeOther
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 同步消息体
 *
 * @author 张维新
 */
@Table(name = "synchronization.sync_data")
class SynchronousMessageObj : Serializable {

    @Column(name = "id")
    @Id
    var id: String? = null

    @Column(name = "project_id")
    var projectId: String? = null

    @Column(name = "info")
    var info: ObjectNoticeOther? = null

    @Column(name = "type")
    var type: String? = null

    @Column(name = "object_type")
    var objectType: String? = null

    @Column(name = "sign")
    var sign: Int? = null


} // Class SynchronousMessageObj