package cn.sagacloud.server.datacenter.models.entities.task

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 * 建筑
 *
 * @author  邓婷婷
 */
@ApiModel(description = "建筑")
class BuildingDic {

    /** buildingId */
    @ApiModelProperty(value = "buildingId")
    @Column(name = "id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** buildingName */
    @ApiModelProperty(value = "buildingName")
    @Column(name = "name")
    @JSONField(name = "BuildingName")
    var buildingName: String? = null

    /** buildingLocalName */
    @ApiModelProperty(value = "buildingLocalName")
    @Column(name = "local_name")
    @JSONField(name = "BuildingLocalName")
    var buildingLocalName: String? = null

    /** floorList */
    @ApiModelProperty(value = "floorList")
    @JSONField(name = "FloorList")
    var floorList: ArrayList<FloorDic>? = null

    /** floorListStr */
    @ApiModelProperty(value = "floorListStr")
    @Column(name = "floor_list_str")
    @JSONField(name = "FloorListStr")
    var floorListStr: String? = null
}