package cn.sagacloud.server.datacenter.models.entities.task

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 * 设备类型字典
 *
 * @author  邓婷婷
 */
@ApiModel(description = "设备类型字典")
class EquipCategoryDic {

    /** code */
    @ApiModelProperty(value = "code")
    @Column(name = "code")
    @JSONField(name = "Code")
    var code: String? = null

    /** 名称 */
    @ApiModelProperty(value = "name")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null
}