package cn.sagacloud.server.datacenter.models.entities.task

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 * 楼层
 *
 * @author  邓婷婷
 */
@ApiModel(description = "楼层")
class FloorDic {

    /** floorId */
    @ApiModelProperty(value = "floorId")
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 名称 */
    @ApiModelProperty(value = "floorName")
    @Column(name = "floor_name")
    @JSONField(name = "FloorName")
    var floorName: String? = null

    /** 本地名称 */
    @ApiModelProperty(value = "floorLocalName")
    @Column(name = "floor_local_name")
    @JSONField(name = "FloorLocalName")
    var floorLocalName: String? = null
}