package cn.sagacloud.server.datacenter.models.entities.task

import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 图片实体类
 *
 * @author  邓婷婷
 */
@ApiModel(description = "图片实体类")
class TaskPic : Serializable {

    /** id */
    @ApiModelProperty(value = "id")
    @JSONField(name =  "Id",serialize = false)
    @SerializedName("Id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @JSONField(name =  "Name")
    @SerializedName("Name")
    var name: String? = null

    /** key */
    @ApiModelProperty(value = "key")
    @JSONField(name =  "Key")
    @SerializedName("Key")
    var key: String? = null

    /** 类型 */
    @ApiModelProperty(value = "类型")
    @JSONField(name =  "Type")
    @SerializedName("Type")
    var type: String? = null

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @JSONField(name =  "SystemId")
    @SerializedName("SystemId")
    var systemId: String? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @JSONField(name =  "CreateTime")
    @SerializedName("CreateTime")
    var createTime: String? = null
}