package cn.sagacloud.server.datacenter.models.requests

import com.sybotan.service.models.requests.SQueryRequest
import io.swagger.annotations.ApiModelProperty

/**
 * 业务空间查询请求体
 *
 * @author 张维新
 */
class DCSQueryRequest: SQueryRequest() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    var floorId: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    var buildingId: String? = null

    @ApiModelProperty(value = "空间类型")
    var zoneType: String? = null

    @ApiModelProperty(value = "空间类型列表")
    var zoneTypeList: ArrayList<String>? = null

} // Class DCSQueryRequest