package cn.sagacloud.server.datacenter.models.requests

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 查询
 *
 * @author 张维新
 */
class EquipAssetComponents : Serializable {

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @JSONField(name = "ProgectId")
    var id: String? = null

    /** 分页 */
    @ApiModelProperty(value = "分页起始")
    @JSONField(name = "PageNumber")
    var pageNumber: Int = 1

    /** 分页 */
    @ApiModelProperty(value = "分页结束")
    @JSONField(name = "PageSize")
    var pageSize: Int = 50

    /** 分页 */
    @ApiModelProperty(value = "分页结束")
    @JSONField(name = "Type")
    var type: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 是否查询不属于id的设备 */
    @ApiModelProperty(value = "是否查询不属于id的设备")
    @JSONField(name = "Direct")
    var direct: Boolean = false

} // Class EquipAssetComponents