package cn.sagacloud.server.datacenter.models.response

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import java.io.Serializable

/**
 *城市列表
 *
 * @author 张维新
 */
class DistrictBeanX : Serializable {
                /**
                 * altitude : 53
                 * districtCode : 01
                 * code : 110101
                 * districtName : 东城区
                 * cityCode : 01
                 * latitude : 39.93
                 * type : 城区
                 * longitude : 116.42
                 */
                @JSONField(name = "Altitude")
                var altitude: String? = null
                @JSONField(name = "DistrictCode")
                var districtCode: String? = null
                @JSONField(name = "Code")
                var code: String? = null
                @JSONField(name = "DistrictName")
                var districtName: String? = null
                @JSONField(name = "CityCode")
                var cityCode: String? = null
                @JSONField(name = "Latitude")
                var latitude: String? = null
                @JSONField(name = "Type")
                var type: String? = null
                @JSONField(name = "Longitude")
                var longitude: String? = null
} // class DistrictBeanX