package cn.sagacloud.server.datacenter.models.response

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import java.util.*
import kotlin.collections.HashMap


/**
 * 岗位和关联的资产信息点值不一致的资产实体类
 *
 * @author 蒋湘江
 */

@ApiModel(description = "岗位和关联的资产信息点值不一致的资产实体类")
class EqpeDefferentReqponse : Serializable {

    /** 资产信息点 */
    @ApiModelProperty(value = "资产信息点")
    @JSONField(name = "Property")
    var property : TreeMap<String,Any>? = null

    /** 岗位信息点 */
    @ApiModelProperty(value = "岗位信息点")
    @JSONField(name = "Equipment")
    var equipment : TreeMap<String,Any>? = null


}// Class EqpeDefferentReqponse