package cn.sagacloud.server.datacenter.models.response

import cn.sagacloud.server.datacenter.models.entities.ZoneSpace
import com.sybotan.service.models.responses.SQueryResponse
import io.swagger.annotations.ApiModelProperty

class SpaceSQueryResponse: SQueryResponse<ZoneSpace>() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    var floorId: String? = null

    @ApiModelProperty(value = "空间类型")
    var zoneType: String? = null

} // Class SpaceSQueryResponse