package cn.sagacloud.server.algorithm.backstage.model.datacenter

import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
class DCFloor {

    @JSONField(name = "id")
//    @JSONField(name = "Id")
    var id : String? = null

    // 更新FloorMap 为 文件服务器上的key
    @JSONField(name = "infos")
    var infos : HashMap<String, String>? = null

    @JSONField(name = "modelId")
    var modelId : String? = null

    @JSONField(name = "outline")
    var outline : ArrayList<Point>? = null

    /** 楼层名称 */
    @JSONField(name = "name")
    var name: String? = null

    /** 楼层本地名称 */
    @JSONField(name = "localName")
    var localName: String? = null

    /** 建筑id */
    @JSONField(name = "buildingId")
    var buildingId: String? = null

    // 空间
    @JSONField(name = "spaceList")
    var spaceList : ArrayList<DCISpace>? = null
}