package cn.sagacloud.server.algorithm.backstage.model.datacenter

import cn.sagacloud.server.algorithm.backstage.model.datacenter.DCDataBase
import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField

/**
 *
 *
 * @author jxing
 */
class DCISpace : DCDataBase(){

//    @JSONField(name = "BIMID")
//    var bimId : String? = null

    @JSONField(name = "id")
    var id : String? = null

    @JSONField(name = "bimLocation")
    var bimLocation : String? = null

    @JSONField(name = "localName")
    var localName : String? = null

    @JSONField(name = "floorId")
    var floorId: String? = null

    @JSONField(name = "height")
    var height: Double? = null

    @JSONField(name = "outline")
    var outline: ArrayList<ArrayList<Point>>? = null

    @JSONField(name = "outerOutline")
    var outerOutline: ArrayList<ArrayList<Point>>? = null

    @JSONField(name = "cadId")
    var cadId: String? = null

    @JSONField(name = "modelId")
    var modelId: String? = null

    @JSONField(name = "state")
    var state: Int? = null

    /** 建筑id */
    @JSONField(name = "buildingId")
    var buildingId: String? = null

    @JSONField(name = "customParam")
    var customParam : HashMap<String, Any?>? = null

    /** 转换后的信息点 */
    @JSONField(name = "infos")
    var infos: Map<String,Any?>? = null
}