package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnore
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
open class BGWindowDoorBase : BGBaseComponent() {

    /** 所属墙 */
    @ApiModelProperty(value = "所属墙")
    @Column(name = "wall_id")
    @JSONField(serialize = false)
    var wallId: String? = null

    /** 拥有者的RevitId */
    @ApiModelProperty(value = "拥有者的RevitId")
    @Column(name = "owner")
    @JsonProperty("Owner")
    var owner: String? = null
}