package cn.sagacloud.server.algorithm.models.dataCheck

import cn.sagacloud.server.algorithm.models.modelFile.FloorModelView
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
@ApiModel(description = "标高检查结果")
class LevelCheckResult : FloorModelView(){

    @ApiModelProperty(value = "是否检测到错误")
    @Column(name = "has_error")
    var hasError: Boolean? = null

    @ApiModelProperty(value = "错误信息")
    @Column(name = "error")
    var errorMsg: String? = null

    @ApiModelProperty(value = "标高高度")
    @Column(name = "elevation")
    var elevation: Double? = null

}