package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备对照表
 * @author  Cainga
 * @date  2020/12/3 15:53
 */

@ApiModel(description = "字典对照")
@Table(name = "revit.dict_comp")
@JsonIgnoreProperties(ignoreUnknown = true)
open class DictComp {

//    /** id */
//   @Schema(description = "id")
    @Column(name = "id", updatable = false)
    @Id
    var id: Int? = null

//    /** 4位部件类型编码 */
//   @Schema(description = "4位部件类型编码")
    @Column(name = "family")
    var family: String? = null

//    /** 项目4位部件类型编码 */
//   @Schema(description = "项目4位部件类型编码")
    @Column(name = "p_family")
    var pFamily: String? = null
}