package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import org.springframework.stereotype.Component
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 * @author  Cainga
 * @date  2021/2/4 10:24
 */
@ApiModel(description = "未识别设备")
@Table(name = "revit.unrecognized_equip")
@JsonIgnoreProperties(ignoreUnknown = true)
class UnrecognizedEquip {

    /** uuid */
    @ApiModelProperty(value = " uuid")
    @Column(name = "id")
    @Id
    var id: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    var projectId: String? = null

    /** 万达BIMTypeID */
    @ApiModelProperty(value = "万达BIMTypeID")
    @Column(name = "bim_type_id")
    var bimTypeId: String? = null

    /** 类型中文名称 */
    @ApiModelProperty(value = "类型中文名称")
    @Column(name = "family_name")
    var familyName: String? = null

    /** 模型id */
    @ApiModelProperty(value = "模型id")
    @Column(name = "model_id")
    var modelId: String? = null


}