package cn.sagacloud.server.algorithm.models.jsonAnalyzer

import cn.sagacloud.server.algorithm.models.entities.*
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty

/**
 *
 *
 * @author jxing
 */

open class BaseGraph {
    @JSONField(name = "Spaces")
    var spaces : ArrayList<BGSpace>? = null

    @JSONField(name = "Walls")
    var walls : ArrayList<BGWall>? = null

    @JSONField(name = "VirtualWalls")
    var virtualWalls : ArrayList<BGVirtualWall>? = null

    @JSONField(name = "Columns")
    var columns : ArrayList<BGColumn>? = null

    @JSONField(name = "Doors")
    var doors : ArrayList<BGDoor>? = null

    @JSONField(name = "Windows")
    var windows : ArrayList<BGWindow>? = null
}