package cn.sagacloud.server.algorithm.models.modelFile

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import org.springframework.stereotype.Component
import java.util.*

/**
 *
 *
 * @author jxing
 */
@Component
class TaskEntity {

    @JSONField(name = "Id")
    var id : String? = null

    @JSONField(name = "Cmd")
    var cmd : String? = null

    @JSONField(name = "ExpectedFinishTime")
    var expectedFinishTime : Long? = null

    @JSONField(name = "ModelId")
    var modelId : String? = null

    @JSONField(name = "Name")
    var name : String? = null

    @JSONField(name = "Param")
    var param : String? = null

    @JSONField(name = "ProjectId")
    var projectId : String? = null

    @JSONField(name = "ResultJson")
    var resultJson : String? = null

    @JSONField(name = "Status")
    var status : Int? = null

    @JSONField(name = "DownloadFinishTime")
    var downloadFinishTime : Date? = null

    @JSONField(name = "FloorServerUrl")
    var floorServerUrl:String? = null

    @JSONField(name = "UseablePhaseName")
    var useablePhaseName:String? = null

    @JSONField(name = "SagaSign")
    var sagaSign:String? = null

    @JSONField(name = "CheckItems")
    var checkItems:String? = null

    @JSONField(name = "FacilityParameters")
    var facilityParameters:String? = null

    @JSONField(name = "SpaceParameters")
    var spaceParameters:String? = null

    @JSONField(name = "RoomParameters")
    var roomParameters:String? = null

    @JSONField(name = "MEPCurveParameters")
    var mEPCurveParameters:String? = null

    @JSONField(name = "EquipComponentCode")
    var equipComponentCode:String? = null
}