package cn.sagacloud.server.algorithm.models.monitor

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.util.*

class MntModelExport : MntBase(){

    @ApiModelProperty(value = "表示是否出错导致删除")
    @JSONField(name = "Remove")
    var remove : Boolean? = false

    @ApiModelProperty(value = "jsonz导出文件的开始时间")
    @JSONField(name = "JsonzBeginTime")
    var jsonzBeginTime : Date? = null

    @ApiModelProperty(value = "jsonz导出文件的结束时间")
    @JSONField(name = "JsonzEndTime")
    var jsonzEndTime : Date? = null

    @ApiModelProperty(value = "表示jsonz文件的大小")
    @JSONField(name = "JsonzSize")
    var jsonzSize : Long? = null


}
