package cn.sagacloud.server.algorithm.models.request

import io.swagger.annotations.ApiModelProperty

/**
 *
 *
 * @author jxing
 */
class UploadModelRequest {
    @ApiModelProperty(value = "楼层名")
    var floorName: String? = null

    @ApiModelProperty(value = "文件夹id")
    var folderId: String? = null

    @ApiModelProperty(value = "项目id")
    var projectId: String? = null

    @ApiModelProperty(value = "上传的模型文件名")
    var fileName: String? = null

    @ApiModelProperty(value = "用户Id")
    var userId: String? = null

    @ApiModelProperty(value = "用户名")
    var userName: String? = null

    @ApiModelProperty(value = "备注")
    var note: String? = null

    @ApiModelProperty(value = "替换原因, 默认0")
    var replaceReason: Int = 0

    @ApiModelProperty(value = "文件总大小")
    var size: Long? = null

    @ApiModelProperty(value = "模型的revit版本")
    var revitVersion: String? = null

}