//package cn.sagacloud.mybatis;
//
//import com.google.inject.Inject;
//import org.mybatis.guice.transactional.Transactional;
//
//import java.util.ArrayList;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//
//public class TaskService {
//    private TaskDAO taskDAO;
//
//    @Inject
//    public TaskService(TaskDAO taskDAO){
//        this.taskDAO = taskDAO;
//    }
//    @Transactional
//    public boolean addTask(TaskModel task) throws Exception {
//        if(task.getDownloadTaskModelList().size() == 0)
//            throw new Exception("不能添加没有下载文件的任务");
//        if(taskDAO.addTask(task))
//            return true;
//        return false;
//    }
//    @Transactional
//    public boolean updateTask(TaskModel task) throws Exception {
//        boolean result = taskDAO.updateSingleTask(task);
//        return result;
//    }
//
//
//    public ArrayList<TaskModel> getAllTaskByStatus(List<Integer> statusList) throws Exception {
//        if(statusList == null || statusList.size() == 0)
//            return new ArrayList<>();
//        ArrayList<TaskModel> tasks = taskDAO.getTasksByStatus(statusList);
//        return tasks;
//    }
//
//    public ArrayList<TaskModel> getTaskByIds(List<Integer> idList) throws Exception {
//        if(idList == null || idList.size() == 0)
//            return new ArrayList<>();
//        ArrayList<TaskModel> tasks = taskDAO.getTasksByIds(idList);
//        return tasks;
//    }
//
//    public Map<Integer, TaskModel> getAllTaskMapByStatus(List<Integer> statusList) throws Exception {
//        if(statusList == null || statusList.size() == 0)
//            return new HashMap<>();
//        Map<Integer, TaskModel> tasks = taskDAO.getAllTaskMapByStatus(statusList);
//        return tasks;
//    }
//
//    public Map<Integer, TaskModel> getTaskMapByIds(List<Integer> idList) throws Exception {
//        if(idList == null || idList.size() == 0)
//            return new HashMap<>();
//        Map<Integer, TaskModel> tasks = taskDAO.getTaskMapByIds(idList);
//        return tasks;
//    }
//}
