package cn.sagacloud.server.scheduler.service

import cn.sagacloud.server.scheduler.models.DownloadEntity
import cn.sagacloud.server.scheduler.models.TaskEntity
import cn.sagacloud.server.scheduler.models.TaskResultEntity
import com.sybotan.mybatis.SMybatisDao
import com.sybotan.service.SObjectService

object BaseDataService {

    // 任务数据服务
    var taskService = SObjectService(SMybatisDao(TaskEntity::class.java))

    // 下载任务数据服务
    var downloadService = SObjectService(SMybatisDao(DownloadEntity::class.java))

    // 任务结果数据服务
    var taskResultService = SObjectService(SMybatisDao(TaskResultEntity::class.java))
}